Qt Cryptographic Architecture: QCA::InitializationVector Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QCA::InitializationVector Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::InitializationVector:
[legend]

## Public Member Functions
| InitializationVector ()
| InitializationVector (int size)
| InitializationVector (const SecureArray &a)
| InitializationVector (const QByteArray &a)
Public Member Functions inherited from QCA::SecureArray
SecureArray & | append (const SecureArray &a)
char & | at (int index)
const char & | at (int index) const
void | clear ()
const char * | constData () const
char * | data ()
const char * | data () const
void | fill (char fillChar, int fillToPosition=-1)
bool | isEmpty () const
bool | operator!= (const MemoryRegion &other) const
SecureArray & | operator+= (const SecureArray &a)
SecureArray & | operator= (const SecureArray &from)
SecureArray & | operator= (const QByteArray &a)
bool | operator== (const MemoryRegion &other) const
char & | operator[] (int index)
const char & | operator[] (int index) const
bool | resize (int size)
| SecureArray ()
| SecureArray (int size, char ch=0)
| SecureArray (const char *str)
| SecureArray (const QByteArray &a)
| SecureArray (const MemoryRegion &a)
| SecureArray (const SecureArray &from)
int | size () const
QByteArray | toByteArray () const
Public Member Functions inherited from QCA::MemoryRegion
const char & | at (int index) const
const char * | constData () const
const char * | data () const
bool | isEmpty () const
bool | isNull () const
bool | isSecure () const
| MemoryRegion (const char *str)
| MemoryRegion (const QByteArray &from)
| MemoryRegion (const MemoryRegion &from)
MemoryRegion & | operator= (const MemoryRegion &from)
MemoryRegion & | operator= (const QByteArray &from)
int | size () const
QByteArray | toByteArray () const

## Additional Inherited Members
Protected Member Functions inherited from QCA::SecureArray
void | set (const SecureArray &from)
void | set (const QByteArray &from)
Protected Member Functions inherited from QCA::MemoryRegion
char & | at (int index)
char * | data ()
| MemoryRegion (bool secure)
| MemoryRegion (int size, bool secure)
| MemoryRegion (const QByteArray &from, bool secure)
bool | resize (int size)
void | set (const QByteArray &from, bool secure)
void | setSecure (bool secure)

## Detailed Description

Container for initialisation vectors and nonces.

Examples:
  ciphertest.cpp.

## Constructor & Destructor Documentation

QCA::InitializationVector::InitializationVector | ( |  | ) |

Construct an empty (zero length) initisation vector.

QCA::InitializationVector::InitializationVector | ( | int | size | ) |

Construct an initialisation vector of the specified size.

Parameters

  size | the length of the initialisation vector, in bytes

QCA::InitializationVector::InitializationVector | ( | const SecureArray & | a | ) |

Construct an initialisation vector from a provided byte array.

Parameters

  a | the byte array to copy

QCA::InitializationVector::InitializationVector | ( | const QByteArray & | a | ) |

Construct an initialisation vector from a provided byte array.

Parameters

  a | the byte array to copy

The documentation for this class was generated from the following file:

- qca_core.h